Altibase.jdbc.driver

## Class AltibaseFailoverContext

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseFailoverContext

    public class AltibaseFailoverContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AltibaseFailoverContext(AltibaseConnection aConn, AltibaseProperties aConnProp, AltibaseFailoverServerInfoList aFailoverServerList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AltibaseProperties` `connectionProperties()`
`java.lang.Object` `getAppContext()`
`AltibaseFailoverCallback` `getCallback()`
`AltibaseFailover.CallbackState` `getCallbackState()`
`AltibaseConnection` `getConnection()`
`AltibaseFailoverServerInfo` `getCurrentServer()`
`AltibaseFailoverServerInfoList` `getFailoverServerList()`
`AltibaseXAResource` `getRelatedXAResource()`
`void` `setAppContext(java.lang.Object aAppContext)`
`void` `setCallback(AltibaseFailoverCallback aCallback)`
`void` `setCallbackState(AltibaseFailover.CallbackState aCallbackState)`
`void` `setConnection(AltibaseConnection aConnection)`
`void` `setCurrentServer(AltibaseFailoverServerInfo aCurrentServer)`
`void` `setFailoverSource(java.lang.String aFailoverSource)` Failover를 수행할 때, 서버에 전해줄 Failover source를 설정한다.
`void` `setRelatedXAResource(AltibaseXAResource aXAResource)`
`boolean` `useSessionFailover()` STF를 사용하도록 설정했는지 얻는다.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AltibaseFailoverContext

    public AltibaseFailoverContext(AltibaseConnection aConn,
                                   AltibaseProperties aConnProp,
                                   AltibaseFailoverServerInfoList aFailoverServerList)

### Method Detail

#### getConnection

    public AltibaseConnection getConnection()

#### setConnection

    public void setConnection(AltibaseConnection aConnection)

#### connectionProperties

    public AltibaseProperties connectionProperties()

#### getCallback

    public AltibaseFailoverCallback getCallback()

#### setCallback

    public void setCallback(AltibaseFailoverCallback aCallback)

#### getCallbackState

    public AltibaseFailover.CallbackState getCallbackState()

#### setCallbackState

    public void setCallbackState(AltibaseFailover.CallbackState aCallbackState)

#### getAppContext

    public java.lang.Object getAppContext()

#### setAppContext

    public void setAppContext(java.lang.Object aAppContext)

#### getCurrentServer

    public AltibaseFailoverServerInfo getCurrentServer()

#### setCurrentServer

    public void setCurrentServer(AltibaseFailoverServerInfo aCurrentServer)

#### getFailoverServerList

    public AltibaseFailoverServerInfoList getFailoverServerList()

#### getRelatedXAResource

    public AltibaseXAResource getRelatedXAResource()

#### setRelatedXAResource

    public void setRelatedXAResource(AltibaseXAResource aXAResource)

#### useSessionFailover

    public boolean useSessionFailover()

STF를 사용하도록 설정했는지 얻는다.

Returns:
  STF를 사용할지 여부

#### setFailoverSource

    public void setFailoverSource(java.lang.String aFailoverSource)

Failover를 수행할 때, 서버에 전해줄 Failover source를 설정한다.

이 정보는 V$SESSION.FAILOVER_SOURCE로 출력된다.

Parameters:
  `aFailoverSource` - 설정할 Failover source 문자열